Debian Bug report logs - #660803
stop using modprobe install directives

version graph

Package: oss-compat; Maintainer for oss-compat is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for oss-compat is src:oss-compat.

Reported by: Marco d'Itri <md@linux.it>

Date: Tue, 14 Feb 2012 03:15:01 UTC

Severity: serious

Found in version oss-compat/2

Fixed in version oss-compat/3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, prahal@yahoo.com, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Tue, 14 Feb 2012 03:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
New Bug report received and forwarded. Copy sent to prahal@yahoo.com, Marco d'Itri <md@linux.it>. (Tue, 14 Feb 2012 03:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kmod: v5 acts like a fork bomb
Date: Tue, 14 Feb 2012 04:13:30 +0100
Package: kmod
Version: 5-1
Severity: important

Dear Maintainer,
The version 5 of kmod forks tenth of time to attempt to load one module.
Notwithstanding I miss the point (does anything need a module loaded 40 times per milliseconds ?)
it render a box nearly unusable. This is with a custom kernel (I have been workign on a few kernel
patches but currently am on vanilla). Should happens also on debian ones as for example loading snd-hda-intel
trigger the load of snd which loads snd-seq. Here I have no snd-seq-oss (I did not build it) so this fork
forever happens while modprobe snd-seq. But it also happens because snd-ioctl32 is not there and
I have been unable to find this module in the i686 conf. So it might well happens to all i386
users.

Reverting to libkmod1 and kmod 3-1 fixed the issue. I now get "Fatal: Module snd-seq-oss" messages but no
more fork bombs.

Best regards
Alban


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.3.0-rc3+ (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kmod depends on:
ii  libc6     2.13-26
ii  libkmod1  3-1
ii  lsb-base  3.2-28.1

kmod recommends no packages.

kmod suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Tue, 14 Feb 2012 05:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Ott <michael@king-coder.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 14 Feb 2012 05:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 659838@bugs.debian.org (full text, mbox):

From: Michael Ott <michael@king-coder.de>
To: 659838@bugs.debian.org
Subject: Re: kmod: v5 acts like a fork bomb
Date: Tue, 14 Feb 2012 06:49:03 +0100
[Message part 1 (text/plain, inline)]
Hi!

The same here. System is not usable and crashed after a few minutes.

Switch back to 3 and it works again.

CU  
         
  Michael
          
-- 
    ,''`.   
   : :' :   Michael Ott 
   `. `'    e-mail: michael at king-coder dot de
     `-

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Tue, 14 Feb 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas De Marchi <lucas.demarchi@profusion.mobi>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 14 Feb 2012 19:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 659838@bugs.debian.org (full text, mbox):

From: Lucas De Marchi <lucas.demarchi@profusion.mobi>
To: "Marco d'Itri" <md@linux.it>
Cc: Alban Browaeys <prahal@yahoo.com>, jordi@debian.org, riesebie@lxtec.de
Subject: Re: Bug#659838: kmod: v5 acts like a fork bomb
Date: Tue, 14 Feb 2012 17:05:27 -0200
Hi,

On Tue, Feb 14, 2012 at 7:03 AM, Marco d'Itri <md@linux.it> wrote:
> Yes, still broken.
>
> ----- Forwarded message from Alban Browaeys <prahal@yahoo.com> -----
>
> From: Alban Browaeys <prahal@yahoo.com>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Subject: Bug#659838: kmod: v5 acts like a fork bomb
>
> Package: kmod
> Version: 5-1
> Severity: important
>
> Dear Maintainer,
> The version 5 of kmod forks tenth of time to attempt to load one module.
> Notwithstanding I miss the point (does anything need a module loaded 40 times per milliseconds ?)
> it render a box nearly unusable. This is with a custom kernel (I have been workign on a few kernel
> patches but currently am on vanilla). Should happens also on debian ones as for example loading snd-hda-intel
> trigger the load of snd which loads snd-seq. Here I have no snd-seq-oss (I did not build it) so this fork
> forever happens while modprobe snd-seq. But it also happens because snd-ioctl32 is not there and
> I have been unable to find this module in the i686 conf. So it might well happens to all i386
> users.

I bet you have these rules in your config:

install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe
--quiet snd-ioctl32 ; /sbin/modprobe --quiet snd-seq ; }
install snd_rawmidi /sbin/modprobe --ignore-install snd-rawmidi && {
/sbin/modprobe --quiet snd-seq-midi ; : ; }
install snd_emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 && {
/sbin/modprobe --quiet snd-emu10k1-synth ; : ; }
install snd_pcm modprobe --ignore-install snd-pcm $CMDLINE_OPTS && {
modprobe --quiet snd-pcm-oss ; : ; }
install snd_mixer modprobe --ignore-install snd-mixer $CMDLINE_OPTS &&
{ modprobe --quiet snd-mixer-oss ; : ; }
install snd_seq modprobe --ignore-install snd-seq $CMDLINE_OPTS && {
modprobe --quiet snd-seq-midi ; modprobe --quiet snd-seq-oss ; : ; }


Marco, why are you shipping this with alsa? This creates dependency
loops, relying on modules being inserted to be able to break the
loops. It seems very fragile. What are you trying to accomplish with
that config? Looking at
http://packages.debian.org/sid/all/alsa-base/filelist, it seems like
you still have the file where these configs come from. I'm adding
Jordi and Elimar in CC, since they are the package maintainers in
Debian.

>
> Reverting to libkmod1 and kmod 3-1 fixed the issue. I now get "Fatal: Module snd-seq-oss" messages but no
> more fork bombs.

In kmod-5 we changed the way we calculate dependencies to be faster,
more reliable and share code between modprobe and libkmod. Sadly as a
result this regression appeared. We also added a testsuite, so if
anyone write a test for this case we can make sure this regression
doesn't appear anymore.

I'll take a look how to fix this up, but please could you drop that
config or explain what are their goals?

Regards
Lucas De Marchi




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Tue, 14 Feb 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Ott <michael@king-coder.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 14 Feb 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 659838@bugs.debian.org (full text, mbox):

From: Michael Ott <michael@king-coder.de>
To: Lucas De Marchi <lucas.demarchi@profusion.mobi>, 659838@bugs.debian.org
Cc: Marco d'Itri <md@linux.it>, Alban Browaeys <prahal@yahoo.com>, jordi@debian.org, riesebie@lxtec.de
Subject: Re: Bug#659838: kmod: v5 acts like a fork bomb
Date: Tue, 14 Feb 2012 20:41:55 +0100
[Message part 1 (text/plain, inline)]
Hi Lucas!

> I bet you have these rules in your config:
> 
> install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe
> --quiet snd-ioctl32 ; /sbin/modprobe --quiet snd-seq ; }
> install snd_rawmidi /sbin/modprobe --ignore-install snd-rawmidi && {
> /sbin/modprobe --quiet snd-seq-midi ; : ; }
> install snd_emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 && {
> /sbin/modprobe --quiet snd-emu10k1-synth ; : ; }
> install snd_pcm modprobe --ignore-install snd-pcm $CMDLINE_OPTS && {
> modprobe --quiet snd-pcm-oss ; : ; }
> install snd_mixer modprobe --ignore-install snd-mixer $CMDLINE_OPTS &&
> { modprobe --quiet snd-mixer-oss ; : ; }
> install snd_seq modprobe --ignore-install snd-seq $CMDLINE_OPTS && {
> modprobe --quiet snd-seq-midi ; modprobe --quiet snd-seq-oss ; : ; }
You are right. I had this rules in my config. And after comment it out it
works.

Thanks for that.

CU  
         
  Michael
          
-- 
    ,''`.   
   : :' :   Michael Ott 
   `. `'    e-mail: michael at king-coder dot de
     `-

[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Thu, 16 Feb 2012 22:33:05 GMT) Full text and rfc822 format available.

Merged 659838 659933. Request was from Brian Paterni <bpaterni@gmail.com> to control@bugs.debian.org. (Fri, 17 Feb 2012 04:00:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Fri, 17 Feb 2012 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to j.van.wolput@onsneteindhoven.nl:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 17 Feb 2012 13:03:10 GMT) Full text and rfc822 format available.

Message #29 received at 659838@bugs.debian.org (full text, mbox):

From: "Jos van Wolput" <j.van.wolput@onsneteindhoven.nl>
To: 659838@bugs.debian.org
Subject: kmod: v5 acts like a fork bomb
Date: Fri, 17 Feb 2012 19:55:13 +0800
Package: kmod
Version: 5-1
System: amd64, kernel 3.2, Debian/Sid + experimental

I tried playing midi using kmod 5-1 with all install commented out in
/etc/modprobe.d/alsa-base.conf,
Timidity worked but pmidi didn't, could not find sequencer, ending with
system crash.

Jos.v.W.






Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Sun, 19 Feb 2012 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo Saitz <ingo@stud.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 19 Feb 2012 00:06:03 GMT) Full text and rfc822 format available.

Message #34 received at 659838@bugs.debian.org (full text, mbox):

From: Ingo Saitz <ingo@stud.uni-hannover.de>
To: 659838@bugs.debian.org
Cc: Lucas De Marchi <lucas.demarchi@profusion.mobi>, Marco d'Itri <md@linux.it>
Subject: Re: Bug#659838: kmod: v5 acts like a fork bomb
Date: Sun, 19 Feb 2012 00:51:50 +0100
Moin

I just got bitten by that bug today, too.

On Tue, Feb 14, 2012 at 05:05:27PM -0200, Lucas De Marchi wrote:
> I bet you have these rules in your config:
> 
> install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe
> --quiet snd-ioctl32 ; /sbin/modprobe --quiet snd-seq ; }
...

> Marco, why are you shipping this with alsa? This creates dependency
> loops, relying on modules being inserted to be able to break the
> loops. It seems very fragile. What are you trying to accomplish with
> that config?

These are indeed useful, as it pulls in additional modules that give you
the full functionality of the sound system. The problem seems to be that
--ignore-install seems to get ignored by kmod version 5 resulting in
endless recursive loops trying to insert these modules.

But since 3.12 module-init-tools (and kmod, too) supports the softdep
keyword in modprobe.d/. After changing the above rules to use "softdep"
instead of "install", the bug was gone.

For example the rule qouted above using softdep should read:

softdep snd post: snd-ioctl32 snd-seq

I think this change could be done now in unstable, since "softdep" is already
supported by the module-init-tools in stable.

    Ingo
-- 
Kennedy's Lemma:
    If you can parse Perl, you can solve the Halting Problem.

http://www.perlmonks.org/?node_id=663393




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#659838; Package kmod. (Sun, 19 Feb 2012 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@linux.it>:
Extra info received and forwarded to list. (Sun, 19 Feb 2012 01:30:03 GMT) Full text and rfc822 format available.

Message #39 received at 659838@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: Ingo Saitz <ingo@stud.uni-hannover.de>
Cc: 659838@bugs.debian.org, Lucas De Marchi <lucas.demarchi@profusion.mobi>
Subject: Re: Bug#659838: kmod: v5 acts like a fork bomb
Date: Sun, 19 Feb 2012 00:53:45 +0100
[Message part 1 (text/plain, inline)]
On Feb 19, Ingo Saitz <ingo@stud.uni-hannover.de> wrote:

> softdep snd post: snd-ioctl32 snd-seq
> 
> I think this change could be done now in unstable, since "softdep" is already
> supported by the module-init-tools in stable.
Yes, kmod must be less prone to suddenly exploding and killing the 
system, but alsa needs to ship a modern configuration too.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Sun, 19 Feb 2012 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas De Marchi <lucas.demarchi@profusion.mobi>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 19 Feb 2012 06:42:03 GMT) Full text and rfc822 format available.

Message #44 received at 659838@bugs.debian.org (full text, mbox):

From: Lucas De Marchi <lucas.demarchi@profusion.mobi>
To: Ingo Saitz <ingo@stud.uni-hannover.de>
Cc: 659838@bugs.debian.org, "Marco d'Itri" <md@linux.it>
Subject: Re: Bug#659838: kmod: v5 acts like a fork bomb
Date: Sun, 19 Feb 2012 04:38:28 -0200
[Message part 1 (text/plain, inline)]
Hi Ingo

On Sat, Feb 18, 2012 at 9:51 PM, Ingo Saitz <ingo@stud.uni-hannover.de> wrote:
> Moin
>
> I just got bitten by that bug today, too.
>
> On Tue, Feb 14, 2012 at 05:05:27PM -0200, Lucas De Marchi wrote:
>> I bet you have these rules in your config:
>>
>> install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe
>> --quiet snd-ioctl32 ; /sbin/modprobe --quiet snd-seq ; }
> ...
>
>> Marco, why are you shipping this with alsa? This creates dependency
>> loops, relying on modules being inserted to be able to break the
>> loops. It seems very fragile. What are you trying to accomplish with
>> that config?
>
> These are indeed useful, as it pulls in additional modules that give you
> the full functionality of the sound system. The problem seems to be that
> --ignore-install seems to get ignored by kmod version 5 resulting in
> endless recursive loops trying to insert these modules.

It's not ignoring install commands: --ignore-install doesn't apply for
dependencies and from the description and the name of the modules what
seems to be occurring is that a module has snd as a dependency, which
is triggering the snd install command over and over again.

I prepared the patch attached... I couldn't test it (I don't have an
environment ready for this right now), but I think it fixes the issue.
Marco, I'm assuming you already backported the patch "libkmod-module:
probe: fix infinite loop with softdeps", right?

Could you check if this works for you?

>
> But since 3.12 module-init-tools (and kmod, too) supports the softdep
> keyword in modprobe.d/. After changing the above rules to use "softdep"
> instead of "install", the bug was gone.
>
> For example the rule qouted above using softdep should read:
>
> softdep snd post: snd-ioctl32 snd-seq
>
> I think this change could be done now in unstable, since "softdep" is already
> supported by the module-init-tools in stable.

Yeah, you should definitely be using softdeps for this, but we still
need to support ugly old use cases.


Regards,
Lucas De Marchi
[0001-libkmod-module-probe-check-if-module-exists-for-inst.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Sun, 19 Feb 2012 06:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas De Marchi <lucas.demarchi@profusion.mobi>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 19 Feb 2012 06:42:05 GMT) Full text and rfc822 format available.

Message #49 received at 659838@bugs.debian.org (full text, mbox):

From: Lucas De Marchi <lucas.demarchi@profusion.mobi>
To: "Marco d'Itri" <md@linux.it>
Cc: Ingo Saitz <ingo@stud.uni-hannover.de>, 659838@bugs.debian.org
Subject: Re: Bug#659838: kmod: v5 acts like a fork bomb
Date: Sun, 19 Feb 2012 04:39:13 -0200
Hi Marco,

On Sat, Feb 18, 2012 at 9:53 PM, Marco d'Itri <md@linux.it> wrote:
> On Feb 19, Ingo Saitz <ingo@stud.uni-hannover.de> wrote:
>
>> softdep snd post: snd-ioctl32 snd-seq
>>
>> I think this change could be done now in unstable, since "softdep" is already
>> supported by the module-init-tools in stable.
> Yes, kmod must be less prone to suddenly exploding and killing the
> system, but alsa needs to ship a modern configuration too.

I agree. Please check if my patch works for you,

ciao,
Lucas De Marchi




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#659838; Package kmod. (Sun, 19 Feb 2012 12:20:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@linux.it>:
Extra info received and forwarded to list. (Sun, 19 Feb 2012 12:20:51 GMT) Full text and rfc822 format available.

Message #54 received at 659838@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 659838@bugs.debian.org
Cc: Ingo Saitz <ingo@stud.uni-hannover.de>
Subject: Re: Bug#659838: kmod: v5 acts like a fork bomb
Date: Sun, 19 Feb 2012 13:17:01 +0100
[Message part 1 (text/plain, inline)]
New package at http://www.bofh.it/~md/debian/ .

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659838; Package kmod. (Mon, 20 Feb 2012 13:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo Saitz <ingo@stud.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 20 Feb 2012 13:21:09 GMT) Full text and rfc822 format available.

Message #59 received at 659838@bugs.debian.org (full text, mbox):

From: Ingo Saitz <ingo@stud.uni-hannover.de>
To: Lucas De Marchi <lucas.demarchi@profusion.mobi>
Cc: Ingo Saitz <ingo@stud.uni-hannover.de>, 659838@bugs.debian.org, Marco d'Itri <md@linux.it>
Subject: Re: Bug#659838: kmod: v5 acts like a fork bomb
Date: Mon, 20 Feb 2012 14:18:17 +0100
On Sun, Feb 19, 2012 at 04:38:28AM -0200, Lucas De Marchi wrote:
> I prepared the patch attached... I couldn't test it (I don't have an
> environment ready for this right now), but I think it fixes the issue.
> Marco, I'm assuming you already backported the patch "libkmod-module:
> probe: fix infinite loop with softdeps", right?
> 
> Could you check if this works for you?

It works.

I restored the old alsa config and I can't reproduce the fork bug with
this patch.

    Ingo
-- 
Kennedy's Lemma:
    If you can parse Perl, you can solve the Halting Problem.

http://www.perlmonks.org/?node_id=663393




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#659838; Package kmod. (Tue, 21 Feb 2012 22:16:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@linux.it>:
Extra info received and forwarded to list. (Tue, 21 Feb 2012 22:16:17 GMT) Full text and rfc822 format available.

Message #64 received at 659838@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: alsa-base@packages.debian.org, oss-compat@packages.debian.org
Cc: 659838@bugs.debian.org, control@bugs.debian.org
Subject: stop using modprobe install directives
Date: Tue, 21 Feb 2012 22:44:07 +0100
[Message part 1 (text/plain, inline)]
clone 659838 -1
submitter -1 !
retitle -1 stop using modprobe install directives
severity -1 important
reassign -1 alsa-base
clone -1 -2
reassign -2 oss-compat
thanks

On Feb 19, Marco d'Itri <md@linux.it> wrote:

> On Feb 19, Ingo Saitz <ingo@stud.uni-hannover.de> wrote:
> > softdep snd post: snd-ioctl32 snd-seq
> > I think this change could be done now in unstable, since "softdep" is already
> > supported by the module-init-tools in stable.
> Yes, kmod must be less prone to suddenly exploding and killing the 
> system, but alsa needs to ship a modern configuration too.
So please stop using install directives.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Tue, 21 Feb 2012 22:21:17 GMT) Full text and rfc822 format available.

Notification sent to Alban Browaeys <prahal@yahoo.com>:
Bug acknowledged by developer. (Tue, 21 Feb 2012 22:21:17 GMT) Full text and rfc822 format available.

Message #69 received at 659838-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 659838-close@bugs.debian.org
Subject: Bug#659838: fixed in kmod 5-2
Date: Tue, 21 Feb 2012 22:17:45 +0000
Source: kmod
Source-Version: 5-2

We believe that the bug you reported is fixed in the latest version of
kmod, which is due to be installed in the Debian FTP archive:

kmod_5-2.debian.tar.gz
  to main/k/kmod/kmod_5-2.debian.tar.gz
kmod_5-2.dsc
  to main/k/kmod/kmod_5-2.dsc
kmod_5-2_i386.deb
  to main/k/kmod/kmod_5-2_i386.deb
libkmod-dev_5-2_i386.deb
  to main/k/kmod/libkmod-dev_5-2_i386.deb
libkmod2-udeb_5-2_i386.udeb
  to main/k/kmod/libkmod2-udeb_5-2_i386.udeb
libkmod2_5-2_i386.deb
  to main/k/kmod/libkmod2_5-2_i386.deb
module-init-tools_5-2_all.deb
  to main/k/kmod/module-init-tools_5-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659838@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated kmod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Feb 2012 13:07:21 +0100
Source: kmod
Binary: kmod module-init-tools libkmod2 libkmod-dev libkmod2-udeb
Architecture: source i386 all
Version: 5-2
Distribution: experimental
Urgency: high
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 kmod       - tools for managing Linux kernel modules
 libkmod-dev - libkmod development files
 libkmod2   - libkmod shared library
 libkmod2-udeb - libkmod shared library (udeb)
 module-init-tools - transitional dummy package (module-init-tools to kmod)
Closes: 659838
Changes: 
 kmod (5-2) experimental; urgency=high
 .
   * Added patch check_if_exists to fix loops caused by install directives.
     (Closes: #659838)
Checksums-Sha1: 
 a56bd2df8f3b03f18ac679874f01d5f5b0fe007d 1173 kmod_5-2.dsc
 c0cc8e744feaa184a5dc409526862363890f8009 9249 kmod_5-2.debian.tar.gz
 59159e62ddba306f6c32631e97b199e362887b19 59374 kmod_5-2_i386.deb
 f849df204847cd42cadf156d067becce68ecf3d3 1238 module-init-tools_5-2_all.deb
 00737240bfb99de85436b7e6185c7a71f4e218c9 47628 libkmod2_5-2_i386.deb
 bb9bae75f427acdbbc3d57cb8f6d3adfeae43be4 60792 libkmod-dev_5-2_i386.deb
 4da2ce7a09173f56704c78ecf0e6c423a1f5f124 73998 libkmod2-udeb_5-2_i386.udeb
Checksums-Sha256: 
 a8d505d94b21f434873e2df928eca3d94c8b74852292dbe3d1983d07675986e4 1173 kmod_5-2.dsc
 d8c57388f7cb280380ad1c30657e27170755d9c88d60fb290c63c29dd29e13b7 9249 kmod_5-2.debian.tar.gz
 6ce2bc0a60d7266b556ad7e97a5b4ae190ace19351d5076e71feabda70c0eed2 59374 kmod_5-2_i386.deb
 86fe8407ecbb61aee895377c545012daeb1c36506911e5a8323d362fc3e0b00d 1238 module-init-tools_5-2_all.deb
 6510f4cd6ae8acd17c9fcfdb1db7b2734664fded5c109049d86dd4b5a31cf303 47628 libkmod2_5-2_i386.deb
 bfd3e948fad5483ad4bdc6b6f2b26eebf09259a12566ade8173eecf7187b63f6 60792 libkmod-dev_5-2_i386.deb
 1d59a4679c3b02fc5baa773fa4e130b303d03b975d3427af80fbaa19050bb146 73998 libkmod2-udeb_5-2_i386.udeb
Files: 
 14b8b16fde87d303b18a0e2db7333134 1173 admin important kmod_5-2.dsc
 514c872dc9dc6eb4b51ebba772e17394 9249 admin important kmod_5-2.debian.tar.gz
 6eea4a0fcaa354afaf26a4aaeb7e3d66 59374 admin important kmod_5-2_i386.deb
 a61dc5d1567ef06255d147dfeef48022 1238 admin extra module-init-tools_5-2_all.deb
 daf34138b59c3379702de14386e8e895 47628 libs important libkmod2_5-2_i386.deb
 b965937ff8eadf4f2ecb7247ebdd036a 60792 libdevel optional libkmod-dev_5-2_i386.deb
 b7683ebdb5c5607ae43036b835c8480f 73998 debian-installer important libkmod2-udeb_5-2_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9EEMAACgkQFGfw2OHuP7FfHwCeMHtcuENq+yPlVCUcuhWMrny6
JLcAoI1+tNOhGbV307aBkQc0O4xQrl+l
=vqUn
-----END PGP SIGNATURE-----





Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Tue, 21 Feb 2012 22:21:17 GMT) Full text and rfc822 format available.

Notification sent to Brian Paterni <bpaterni@gmail.com>:
Bug acknowledged by developer. (Tue, 21 Feb 2012 22:21:18 GMT) Full text and rfc822 format available.

Disconnected #659838 from all other report(s). Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:27:16 GMT) Full text and rfc822 format available.

Bug 659838 cloned as bug 660801. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:27:17 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Marco d'Itri <md@linux.it>' from 'Alban Browaeys <prahal@yahoo.com>' Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:27:18 GMT) Full text and rfc822 format available.

Changed Bug title to 'stop using modprobe install directives' from 'kmod: v5 acts like a fork bomb' Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:27:19 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:27:20 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kmod' to 'alsa-base'. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:27:21 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kmod/5-1. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:27:22 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions kmod/5-2. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:27:22 GMT) Full text and rfc822 format available.

Bug 660801 cloned as bug 660803. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:33:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'alsa-base' to 'oss-compat'. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 21 Feb 2012 22:33:10 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Feb 2012 22:57:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 30 Dec 2012 22:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Mon, 17 Jun 2013 14:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 17 Jun 2013 14:42:12 GMT) Full text and rfc822 format available.

Message #103 received at 660803@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 660803@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: endless loop causes ltsp chroot setup to hang
Date: Mon, 17 Jun 2013 16:36:31 +0200
[Message part 1 (text/plain, inline)]
control: severity -1 serious
# justification:  breaks unrelated software

Hi,

yesterday I did an Debian Edu wheezy combi-server installation which sets up 
an LTSP chroot, which hung (and oss-compat postinst) and which I had to kick 
into sanity by using "killall modprobe". The installation was done with a KVM 
virtual machine using "ich6" as sound hardware.

Check the attached syslog from /var/log/installer, at 11:31:20 I killed 
modprobe (and at 00:06:51 the problem started...)

If you need more logs, please shout soon, atm I still have them all...


cheers,
	Holger
[hardware-summary (text/plain, attachment)]
[lsb-release (text/plain, attachment)]
[status (text/plain, attachment)]
[syslog (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Holger Levsen <holger@layer-acht.org> to 660803-submit@bugs.debian.org. (Mon, 17 Jun 2013 14:42:12 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <skitt@debian.org>:
You have taken responsibility. (Tue, 18 Jun 2013 13:21:14 GMT) Full text and rfc822 format available.

Notification sent to Marco d'Itri <md@linux.it>:
Bug acknowledged by developer. (Tue, 18 Jun 2013 13:21:14 GMT) Full text and rfc822 format available.

Message #110 received at 660803-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: 660803-close@bugs.debian.org
Subject: Bug#660803: fixed in oss-compat 3
Date: Tue, 18 Jun 2013 13:18:15 +0000
Source: oss-compat
Source-Version: 3

We believe that the bug you reported is fixed in the latest version of
oss-compat, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660803@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <skitt@debian.org> (supplier of updated oss-compat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 18 Jun 2013 15:05:31 +0200
Source: oss-compat
Binary: oss-compat
Architecture: source i386
Version: 3
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Stephen Kitt <skitt@debian.org>
Description: 
 oss-compat - Open Sound System (OSS) compatibility package
Closes: 660803
Changes: 
 oss-compat (3) unstable; urgency=low
 .
   * Use softdep directives in the modprobe configuration. (Closes:
     #660803.)
   * Switch to my Debian address.
   * Use canonical VCS URIs.
   * Drop obsolete Lintian override for module-init-tools dependency.
   * Recommend osspd, which provides OSS emulation using ALSA or PulseAudio
     (LP: #659024, #983707).
   * Standards-Version 3.9.4, no further change required.
Checksums-Sha1: 
 9958ae8729ac48b585bb24d9af9fb2f07c74c6cd 1583 oss-compat_3.dsc
 359785e8e4f8b9ff478ba893cd7b33506ade50a7 4060 oss-compat_3.tar.gz
 15564a389a5994f263277ccdbd07574703d0c672 4750 oss-compat_3_i386.deb
Checksums-Sha256: 
 d2e2729e000296dd9c90f7a4dc25454d0806d84e099dc95e06299c94bf5b289d 1583 oss-compat_3.dsc
 2b13c4e25744875e874f1a6bd67965e3f4bae12996d108f5d81d020491a6f89b 4060 oss-compat_3.tar.gz
 d9703aa8f166caab4101ba07541634c801e5311859667bbee385e945b6935dd9 4750 oss-compat_3_i386.deb
Files: 
 549ebb83ce1e5060718fa61cf05381cd 1583 sound extra oss-compat_3.dsc
 75d0b8cab4e7986b627fadf6fdc46136 4060 sound extra oss-compat_3.tar.gz
 de84c2598783d08e852c9d6da53c6f65 4750 sound extra oss-compat_3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRwFyjAAoJEHWXeKmja0lPNvcQAILPs1n3hSTVn+YGtzrO5ViJ
nNM2KxxeUdZsB3GPTiftKdLGwf3IeiHYFHHrget8qEciMDgly9TCoxPWm9OqMvQE
mU2Ndjf9vw4kYr2MPy/pvrSL7eXBAN4duRlxLa4AqnmAfKwfglzN2UAzareWjabt
q8TyZEOYdLYsSPDQ+NvkR14/80eGvsjUV+4pC6idAm2aGqpPTpgQutlB6aXRjH0O
awsaF8o6MD11LEZqVAwu2UwVe8bRS/GNfyKiMCixsD/mtx7d01aUMlW/+wSab7WO
i4S9g0QKGtaJ/HmZ+wWmUooS4XffwuiKGcWgfs/wjeybUOD6gHTkkh3OB16bWp/2
To2rwmeF2LEzWXFgQSiOicXszaXipxCnd4FoMmEh0BkwW/q6q/HQTMianzn9KgvT
YTrdII65vLhAQwv6rvZPjjhiENLZMSK5KHKhT3WNPHZ/JPSwB8I8iYOk7vOI41rS
toRKB4UhHYfOTj/nsdJJ0SIK+CR2hwCiipamBFd0uXYDtP7J4ZJFUXJVjeum/R7+
NPHBjIU8zowKzI0rIrEpYNG2qCNqgyrEw3Cod5G23tRVd9YYOPtrfSv3g1MXHkwf
jtA3QNIZofpmCSzz+VVFA994Yeg9TioDGmCKlniKmNNFYe3zLrrBeY0M1fEZgRKQ
0aLggnzZLX3E8HmBDzx3
=CNFy
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Tue, 18 Jun 2013 14:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <skitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 18 Jun 2013 14:21:08 GMT) Full text and rfc822 format available.

Message #115 received at 660803@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 660803@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: Re: Bug#660803: endless loop causes ltsp chroot setup to hang
Date: Tue, 18 Jun 2013 16:19:32 +0200
[Message part 1 (text/plain, inline)]
Hi Holger,

On Mon, 17 Jun 2013 16:36:31 +0200, Holger Levsen <holger@layer-acht.org>
wrote:
> yesterday I did an Debian Edu wheezy combi-server installation which sets
> up an LTSP chroot, which hung (and oss-compat postinst) and which I had to
> kick into sanity by using "killall modprobe". The installation was done
> with a KVM virtual machine using "ich6" as sound hardware.

Thanks for reporting this. I'd appreciate it if you could test oss-compat 3
which I've just uploaded to unstable...

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Tue, 18 Jun 2013 14:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 18 Jun 2013 14:57:09 GMT) Full text and rfc822 format available.

Message #120 received at 660803@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 660803@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: Re: Bug#660803: endless loop causes ltsp chroot setup to hang
Date: Tue, 18 Jun 2013 16:54:15 +0200
[Message part 1 (text/plain, inline)]
Hi Stephen,

On Dienstag, 18. Juni 2013, Stephen Kitt wrote:
> Thanks for reporting this. I'd appreciate it if you could test oss-compat 3
> which I've just uploaded to unstable...

I wont have time in the next days unfortunatly. That said, do you plan to fix 
oss-compat in wheezy too?


cheers,	
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Wed, 19 Jun 2013 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <skitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 19 Jun 2013 11:48:03 GMT) Full text and rfc822 format available.

Message #125 received at 660803@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 660803@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: Re: Bug#660803: endless loop causes ltsp chroot setup to hang
Date: Wed, 19 Jun 2013 13:44:27 +0200
[Message part 1 (text/plain, inline)]
Hi Holger,

On Tue, 18 Jun 2013 16:54:15 +0200, Holger Levsen <holger@layer-acht.org>
wrote:
> On Dienstag, 18. Juni 2013, Stephen Kitt wrote:
> > Thanks for reporting this. I'd appreciate it if you could test oss-compat
> > 3 which I've just uploaded to unstable...
> 
> I wont have time in the next days unfortunatly. That said, do you plan to
> fix oss-compat in wheezy too?

Yes, if the fix works I'll prepare a version for wheezy too.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, m.hatzold@web.de, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Thu, 27 Jun 2013 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hatzold <m.hatzold@web.de>:
Extra info received and forwarded to list. Copy sent to m.hatzold@web.de, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 27 Jun 2013 14:24:05 GMT) Full text and rfc822 format available.

Message #130 received at 660803@bugs.debian.org (full text, mbox):

From: Michael Hatzold <m.hatzold@web.de>
To: Debian Bug Tracking System <660803@bugs.debian.org>
Subject: oss-compat 3 problems with udev and breaks audio
Date: Thu, 27 Jun 2013 16:20:26 +0200
Package: oss-compat
Version: 3
Followup-For: Bug #660803

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
updating oss-compat form v2 to v3

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
apt-get install oss-compat (pulled and installed v3, then reboot)
   * What was the outcome of this action?
During boot a delay of more then one minute at
"udev [473] /sbin/modprobe -b pci. <very large number>"
after more than a minute:
"terminated by signal 9 (killed)"
-> alsa error during boot  "no soundcard found/configured"
boot completes, but no sound, no soundcard.

   * What outcome did you expect instead?

Working sound even with oss-dependent applications


What I found out:

- manually deleting "/etc/modprobe.d/oss-compat.conf" lets alsa configure the
soundcard at next boot (but then applications depending on oss-compat won't
work).
- apt-get install oss-compat/testing" *won't* work, as it does not replace
/etc/modprobe.d/oss-compat.conf (v3) with /etc/modprobe.d/oss-compat.conf (v2)
- apt-get install oss-compat/testing" *will* work if you remove
/etc/modprobe.d/oss-compat.conf beforehand.

To me it seems that the new format of /etc/modprobe.d/oss-compat.conf is the
main problem.

And a sidenote:
oss-compat (3) *recommends* osspd, which when installed *replaces* oss-compat
(but leaves /etc/modprobe.d/oss-compat.conf at its palce). But then whether I
remove /etc/modprobe.d/oss-compat.conf or not, plication dependign on oss wont
work with ossdp.

So here the only working solution is:
manually remove /etc/modprobe.d/oss-compat.conf (v3)
install oss-compat/testing (=v2)



-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.9-2.towo-siduction-686 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages oss-compat depends on:
ii  kmod  9-3

Versions of packages oss-compat recommends:
pn  osspd  <none>

oss-compat suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Thu, 27 Jun 2013 18:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <skitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 27 Jun 2013 18:24:04 GMT) Full text and rfc822 format available.

Message #135 received at 660803@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Michael Hatzold <m.hatzold@web.de>, 660803@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#660803: oss-compat 3 problems with udev and breaks audio
Date: Thu, 27 Jun 2013 20:21:58 +0200
[Message part 1 (text/plain, inline)]
reopen 660803
thanks

Hi Michael,

On Thu, 27 Jun 2013 16:20:26 +0200, Michael Hatzold <m.hatzold@web.de> wrote:
> - manually deleting "/etc/modprobe.d/oss-compat.conf" lets alsa configure
> the soundcard at next boot (but then applications depending on oss-compat
> won't work).
> - apt-get install oss-compat/testing" *won't* work, as it does not replace
> /etc/modprobe.d/oss-compat.conf (v3) with /etc/modprobe.d/oss-compat.conf
> (v2)
> - apt-get install oss-compat/testing" *will* work if you remove
> /etc/modprobe.d/oss-compat.conf beforehand.
> 
> To me it seems that the new format of /etc/modprobe.d/oss-compat.conf is the
> main problem.

That is indeed the logical conclusion if the v2 file works whereas the v3
file doesn't. There must be something related to your particular
configuration though since the v3 file does work on some computers ;-).

Could you possibly try the following?
* re-install oss-compat 3
* reboot (with the timeout)
* run
	sudo udevadm --debug trigger --verbose
  to re-attempt to load the sound modules and trace what is attempted

> And a sidenote:
> oss-compat (3) *recommends* osspd, which when installed *replaces*
> oss-compat (but leaves /etc/modprobe.d/oss-compat.conf at its palce). But
> then whether I remove /etc/modprobe.d/oss-compat.conf or not, plication
> dependign on oss wont work with ossdp.

Once oss-compat.conf is removed, it should be possible to configure osspd to
provide OSS devices using either Alsa or PulseAudio. But that's another
issue...

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Bug reopened Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Thu, 27 Jun 2013 18:24:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Thu, 27 Jun 2013 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 27 Jun 2013 19:21:04 GMT) Full text and rfc822 format available.

Message #142 received at 660803@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Stephen Kitt <skitt@debian.org>
Cc: 660803@bugs.debian.org, Michael Hatzold <m.hatzold@web.de>
Subject: Re: Bug#660803: oss-compat 3 problems with udev and breaks audio
Date: Thu, 27 Jun 2013 21:19:26 +0200
[Message part 1 (text/plain, inline)]
Guess I might chime in here, since I'm having the same problem as
Michael on one of my machines - but only with recent self-built kernels,
not with the official Debian 3.9 kernel or any of the long-term kernels
(3.4 and earlier).  I had already done some work on it, but found a
workaround and didn't bother to do further research.

On 2013-06-27 20:21 +0200, Stephen Kitt wrote:

> On Thu, 27 Jun 2013 16:20:26 +0200, Michael Hatzold <m.hatzold@web.de> wrote:
>> - manually deleting "/etc/modprobe.d/oss-compat.conf" lets alsa configure
>> the soundcard at next boot (but then applications depending on oss-compat
>> won't work).
>> - apt-get install oss-compat/testing" *won't* work, as it does not replace
>> /etc/modprobe.d/oss-compat.conf (v3) with /etc/modprobe.d/oss-compat.conf
>> (v2)
>> - apt-get install oss-compat/testing" *will* work if you remove
>> /etc/modprobe.d/oss-compat.conf beforehand.
>> 
>> To me it seems that the new format of /etc/modprobe.d/oss-compat.conf is the
>> main problem.
>
> That is indeed the logical conclusion if the v2 file works whereas the v3
> file doesn't. There must be something related to your particular
> configuration though since the v3 file does work on some computers ;-).
>
> Could you possibly try the following?
> * re-install oss-compat 3
> * reboot (with the timeout)
> * run
> 	sudo udevadm --debug trigger --verbose
>   to re-attempt to load the sound modules and trace what is attempted

Actually the modules might load fine in that case, only the _first_
modprobe was broken for me.  What I did to debug the problem was to
blacklist snd-hda-intel (thereby bypassing the udev timeout) and then
manually run modprobe under strace to see where it hangs.  Attached is
the output of "strace -f modprobe snd-seq-oss" with a self-compiled
3.10.0-rc6 kernel, where init_module() was hung on snd-seq-oss.ko.

Manually killing modprobe at this stage actually succeeded loading the
modules, and what I finally did was to comment out the line with

softdep snd-seq post: snd-seq-midi snd-seq-oss

in oss-compat.conf.

Now I could of course do a bisection on the kernel, but this is going to
take a considerable amount of time, and I'm not to keen to do that
unless I absolutely have to.

Cheers,
       Sven

[modprobe.out (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Sat, 29 Jun 2013 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <skitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 29 Jun 2013 15:36:04 GMT) Full text and rfc822 format available.

Message #147 received at 660803@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: "Michael Hatzold" <m.hatzold@web.de>
Cc: 660803@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#660803: oss-compat 3 problems with udev and breaks audio
Date: Sat, 29 Jun 2013 17:33:20 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

On Thu, 27 Jun 2013 21:22:25 +0200, "Michael Hatzold" <m.hatzold@web.de>
wrote:
> Am 27.06.2013, 20:21 Uhr, schrieb Stephen Kitt <skitt@debian.org>:
> > Could you possibly try the following?
> > * re-install oss-compat 3
> > * reboot (with the timeout)
> > * run
> > 	sudo udevadm --debug trigger --verbose
> >   to re-attempt to load the sound modules and trace what is attempted
> 
> As root in a VT I did run:
> 
> "udevadm --debug trigger --verbose"
> 
> Output in attachement. If it's not what you wanted pls let me know what to  
> do exactly.

Thanks, that is what I wanted although it's not enough to figure out the
problem - but Sven provided the missing info (thanks!).

If you don't mind, could you try the following workarounds?

The first is to drop the last softdep from oss-compat.conf (v3):

	softdep snd-pcm post: snd-pcm-oss
	softdep snd-mixer post: snd-mixer-oss

That's the workaround provided by Sven, so it should work just fine.

The second is to add a variant of the last softdep:

	softdep snd-pcm post: snd-pcm-oss
	softdep snd-mixer post: snd-mixer-oss
	softdep snd-seq post: snd-seq-oss

This will help determine whether the initialisation lock-up is related to
loading snd-seq-midi... (Incidentally, the Debian kernels don't ship
snd-seq-oss.)

Thanks,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Sat, 29 Jun 2013 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Hatzold" <m.hatzold@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 29 Jun 2013 17:00:04 GMT) Full text and rfc822 format available.

Message #152 received at 660803@bugs.debian.org (full text, mbox):

From: "Michael Hatzold" <m.hatzold@web.de>
To: "Stephen Kitt" <skitt@debian.org>
Cc: 660803@bugs.debian.org, "Sven Joachim" <svenjoac@gmx.de>
Subject: Re: Bug#660803: oss-compat 3 problems with udev and breaks audio
Date: Sat, 29 Jun 2013 18:57:53 +0200
[Message part 1 (text/plain, inline)]
Hi Stephen,

thanks for your reply and your effort to solve the problem.


Am 29.06.2013, 17:33 Uhr, schrieb Stephen Kitt <skitt@debian.org>:

> Hi Michael,
>
> On Thu, 27 Jun 2013 21:22:25 +0200, "Michael Hatzold" <m.hatzold@web.de>
> wrote:
>> Am 27.06.2013, 20:21 Uhr, schrieb Stephen Kitt <skitt@debian.org>:
>> > Could you possibly try the following?
>> > * re-install oss-compat 3
>> > * reboot (with the timeout)
>> > * run
>> > 	sudo udevadm --debug trigger --verbose
>> >   to re-attempt to load the sound modules and trace what is attempted
>>
>> As root in a VT I did run:
>>
>> "udevadm --debug trigger --verbose"
>>
>> Output in attachement. If it's not what you wanted pls let me know what  
>> to
>> do exactly.
>
> Thanks, that is what I wanted although it's not enough to figure out the
> problem - but Sven provided the missing info (thanks!).
>
> If you don't mind, could you try the following workarounds?
>
> The first is to drop the last softdep from oss-compat.conf (v3):
>
> 	softdep snd-pcm post: snd-pcm-oss
> 	softdep snd-mixer post: snd-mixer-oss

This version is working for me. No delay during boot and working sound  
even with oss-depending software (wmmixer).


>
> That's the workaround provided by Sven, so it should work just fine.
>
> The second is to add a variant of the last softdep:
>
> 	softdep snd-pcm post: snd-pcm-oss
> 	softdep snd-mixer post: snd-mixer-oss
> 	softdep snd-seq post: snd-seq-oss

Thisone is *not* working. Delay during boot an no sound.

>
> This will help determine whether the initialisation lock-up is related to
> loading snd-seq-midi... (Incidentally, the Debian kernels don't ship
> snd-seq-oss.)

I don't use a Debian stock kernel, but a siduction kernel which is vanilla  
plus whatever patches siduction applies.

In the hope of providing usefull info I attach:

lsmod | grep oss >> lsmod.grep_oss.workaround1 (workaround #1 config)
lsmod | grep oss >> lsmod.grep_oss.workaround2 (workaround #2 config)
strace.workaround2 ( "strace -f modprobe snd-seq-oss" with workaround #2  
config)

If you need further testing, just let me know.


Thanks,

Michael



>
> Thanks,
>
> Stephen
[lsmod.grep_oss.workaround1 (application/octet-stream, attachment)]
[lsmod.grep_oss.workaround2 (application/octet-stream, attachment)]
[strace.workaround2 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Mon, 22 Jul 2013 21:00:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <skitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 22 Jul 2013 21:00:21 GMT) Full text and rfc822 format available.

Message #157 received at 660803@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Marco d'Itri <md@linux.it>, 660803@bugs.debian.org
Subject: Weird kmod softdep issue
Date: Mon, 22 Jul 2013 22:58:17 +0200
[Message part 1 (text/plain, inline)]
Hi Marco,

There's a weird bug filed against oss-compat (#660803), which derives from
one you filed a while back. I've been trying to figure out what's going on,
but I haven't been able to; I'm hoping you'll have some insight into things...

Basically, the old install directive

install snd-seq modprobe --ignore-install snd-seq $CMDLINE_OPTS && { modprobe --quiet snd-seq-midi ; modprobe --quiet snd-seq-oss ; : ; }

works fine, but the replacement softdep directive

softdep snd-seq post: snd-seq-midi snd-seq-oss

causes module_init to time out and fail to initialise the modules. Is there
something wrong with the softdep directive, or is it something else?

Incidentally, the fix for Debian is easy enough, since Debian kernels no
longer ship snd-seq-oss: I can just drop the snd-seq-oss line entirely... But
I'd like to understand what's at work here.

Thanks,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Sun, 28 Jul 2013 17:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 28 Jul 2013 17:12:04 GMT) Full text and rfc822 format available.

Message #162 received at 660803@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Stephen Kitt <skitt@debian.org>
Cc: 660803@bugs.debian.org, Marco d'Itri <md@linux.it>
Subject: Re: Bug#660803: Weird kmod softdep issue
Date: Sun, 28 Jul 2013 19:08:27 +0200
On 2013-07-22 22:58 +0200, Stephen Kitt wrote:

> There's a weird bug filed against oss-compat (#660803), which derives from
> one you filed a while back. I've been trying to figure out what's going on,
> but I haven't been able to; I'm hoping you'll have some insight into things...
>
> Basically, the old install directive
>
> install snd-seq modprobe --ignore-install snd-seq $CMDLINE_OPTS && {
> modprobe --quiet snd-seq-midi ; modprobe --quiet snd-seq-oss ; : ; }
>
> works fine, but the replacement softdep directive
>
> softdep snd-seq post: snd-seq-midi snd-seq-oss
>
> causes module_init to time out and fail to initialise the modules. Is there
> something wrong with the softdep directive, or is it something else?
>
> Incidentally, the fix for Debian is easy enough, since Debian kernels no
> longer ship snd-seq-oss: I can just drop the snd-seq-oss line entirely... But
> I'd like to understand what's at work here.

It's a kernel problem that has been fixed in Linux 3.11-rc2 and 3.10.3
("ALSA: seq-oss: Initialize MIDI clients asynchronously").

Cheers,
       Sven



Reply sent to Stephen Kitt <skitt@debian.org>:
You have taken responsibility. (Sun, 28 Jul 2013 21:03:05 GMT) Full text and rfc822 format available.

Notification sent to Marco d'Itri <md@linux.it>:
Bug acknowledged by developer. (Sun, 28 Jul 2013 21:03:05 GMT) Full text and rfc822 format available.

Message #167 received at 660803-done@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 660803-done@bugs.debian.org, Marco d'Itri <md@linux.it>
Subject: Re: Bug#660803: Weird kmod softdep issue
Date: Sun, 28 Jul 2013 23:01:42 +0200
[Message part 1 (text/plain, inline)]
Hi Sven,

On Sun, 28 Jul 2013 19:08:27 +0200, Sven Joachim <svenjoac@gmx.de> wrote:
> It's a kernel problem that has been fixed in Linux 3.11-rc2 and 3.10.3
> ("ALSA: seq-oss: Initialize MIDI clients asynchronously").

Thanks for figuring that out, I guess that means I can close the bug then.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Aug 2013 07:25:52 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Wed, 02 Oct 2013 05:39:31 GMT) Full text and rfc822 format available.

Marked as found in versions oss-compat/2 and reopened. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Wed, 02 Oct 2013 05:39:32 GMT) Full text and rfc822 format available.

Marked as fixed in versions oss-compat/3. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Wed, 02 Oct 2013 21:03:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions oss-compat/3. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Wed, 02 Oct 2013 21:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Wed, 22 Jan 2014 23:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 22 Jan 2014 23:21:05 GMT) Full text and rfc822 format available.

Message #182 received at 660803@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 660803@bugs.debian.org
Cc: Stephen Kitt <skitt@debian.org>
Subject: Bug#660803: Weird kmod softdep issue
Date: Thu, 23 Jan 2014 00:19:10 +0100
[Message part 1 (text/plain, inline)]
Hi!

This bug was reopened back in October 2013 but it is still marked as
fixed in some versions. What's the current situation? If this bug is
still valid, it should be better marked as notfixed, otherwise the bug
shows up as release critical in the BTS but the system assumes it is solved.

Regards,

Markus

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Thu, 23 Jan 2014 04:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <skitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 23 Jan 2014 04:39:05 GMT) Full text and rfc822 format available.

Message #187 received at 660803@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Markus Koschany <apo@gambaru.de>
Cc: 660803@bugs.debian.org
Subject: Re: Bug#660803: Weird kmod softdep issue
Date: Thu, 23 Jan 2014 05:36:43 +0100
[Message part 1 (text/plain, inline)]
Hi Markus,

On Thu, 23 Jan 2014 00:19:10 +0100, Markus Koschany <apo@gambaru.de> wrote:
> This bug was reopened back in October 2013 but it is still marked as
> fixed in some versions. What's the current situation? If this bug is
> still valid, it should be better marked as notfixed, otherwise the bug
> shows up as release critical in the BTS but the system assumes it is solved.

It's fixed in testing and unstable, but still applies to stable. There's a
proposed update for stable waiting for approval (#725154).

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#660803; Package oss-compat. (Thu, 23 Jan 2014 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 23 Jan 2014 09:51:04 GMT) Full text and rfc822 format available.

Message #192 received at 660803@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Stephen Kitt <skitt@debian.org>
Cc: 660803@bugs.debian.org, 725154@bugs.debian.org
Subject: Re: Bug#660803: Weird kmod softdep issue
Date: Thu, 23 Jan 2014 10:47:32 +0100
[Message part 1 (text/plain, inline)]
Hi Stephen,

On 23.01.2014 05:36, Stephen Kitt wrote:
> Hi Markus,
> 
> On Thu, 23 Jan 2014 00:19:10 +0100, Markus Koschany <apo@gambaru.de> wrote:
>> This bug was reopened back in October 2013 but it is still marked as
>> fixed in some versions. What's the current situation? If this bug is
>> still valid, it should be better marked as notfixed, otherwise the bug
>> shows up as release critical in the BTS but the system assumes it is solved.
> 
> It's fixed in testing and unstable, but still applies to stable. There's a
> proposed update for stable waiting for approval (#725154).
> 

Ah, I missed that one. Thanks for your clarification. I'm CCing #725154
to keep the release team in the loop. It seems this issue for stable has
been forgotten somehow.

Regards,

Markus


[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:37:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.